<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>
<table width="100%" height="20%"><tr>
<td align=LEFT>
<FONT COLOR="#0000FF"><FONT SIZE=+4>E</FONT></FONT><FONT SIZE=+1>UROPEAN</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+4>S</FONT></FONT><FONT SIZE=+1>YNCHROTRON</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+4>R</FONT></FONT><FONT SIZE=+1>ADIATION</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+4>F</FONT></FONT><FONT SIZE=+1>ACILITY</FONT></H1>
<H5>INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON<BR>
</td><td>
<A href="http://www.synchrotron-soleil.fr/">
<IMG SRC="http://controle/images/logo-150.gif" 
		ALT="SOLEIL Logo" ALIGN=RIGHT border="0"></A>

</td></tr></table>

<HR WIDTH="100%"></H5>

<Br>
<center>
<h1>
DataSocket<Br>
Device Commands Description
</h1>
<Br>
<b>
Revision:  - Author: 
</b>
</center>


<Br> <Br> <Br> 
<Center>
<Table Border=2 Cellpadding=3 CELLSPACING=0 WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<Td COLSPAN=3> <Font Size=+2><Center><b>Device Commands for Operator Level</b></td></Font></Center>
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<Td><Center><b>Command name</b></td></Center>
<Td><Center><b>Argument In</b></td></Center>
<Td><Center><b>Argument Out</b></td></Center>
<Tr><Td>State</Td>
<Td>Tango::DEV_VOID</Td>
<Td>Tango::DEV_STATE</Td>
<Tr><Td>Status</Td>
<Td>Tango::DEV_VOID</Td>
<Td>Tango::CONST_DEV_STRING</Td>
<Tr><Td>ReadLong</Td>
<Td>Tango::DEV_STRING</Td>
<Td>Tango::DEV_LONG</Td>
<Tr><Td>ReadDouble</Td>
<Td>Tango::DEV_STRING</Td>
<Td>Tango::DEV_DOUBLE</Td>
<Tr><Td>ReadString</Td>
<Td>Tango::DEV_STRING</Td>
<Td>Tango::DEV_STRING</Td>
<Tr><Td>ReadLongArray</Td>
<Td>Tango::DEV_STRING</Td>
<Td>Tango::DEVVAR_LONGARRAY</Td>
<Tr><Td>ReadDoubleArray</Td>
<Td>Tango::DEV_STRING</Td>
<Td>Tango::DEVVAR_DOUBLEARRAY</Td>
<Tr><Td>ReadStringArray</Td>
<Td>Tango::DEV_STRING</Td>
<Td>Tango::DEVVAR_STRINGARRAY</Td>
<Tr><Td>WriteLong</Td>
<Td>Tango::DEVVAR_LONGSTRINGARRAY</Td>
<Td>Tango::DEV_VOID</Td>
<Tr><Td>WriteDouble</Td>
<Td>Tango::DEVVAR_DOUBLESTRINGARRAY</Td>
<Td>Tango::DEV_VOID</Td>
<Tr><Td>WriteString</Td>
<Td>Tango::DEVVAR_STRINGARRAY</Td>
<Td>Tango::DEV_VOID</Td>
<Tr><Td>WriteLongArray</Td>
<Td>Tango::DEVVAR_LONGSTRINGARRAY</Td>
<Td>Tango::DEV_VOID</Td>
<Tr><Td>WriteDoubleArray</Td>
<Td>Tango::DEVVAR_DOUBLESTRINGARRAY</Td>
<Td>Tango::DEV_VOID</Td>



</Table></Center>
<Br> <Br> <Br> 
<Center>
<Table Border=2 Cellpadding=3 CELLSPACING=0 WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<Td COLSPAN=3> <Font Size=+2><Center><b>Device Commands for Expert Level Only</b></td></Font></Center>
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<Td><Center><b>Command name</b></td></Center>
<Td><Center><b>Argument In</b></td></Center>
<Td><Center><b>Argument Out</b></td></Center>
<Tr><Td>GetOpenedURL</Td>
<Td>Tango::DEV_VOID</Td>
<Td>Tango::DEVVAR_STRINGARRAY</Td>



</Table></Center>


</BODY>
</HTML>
